<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/events/WindowEvent.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_c33611b4dec78f96017d2ccf425d656a.html">events</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">WindowEvent.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="WindowEvent_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;../core/Event.hpp&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1WindowResizeEvent.html">WindowResizeEvent</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html#a22c4851fcc7250cf258fb7d307645a4b">   11</a></span>    <a class="code hl_function" href="classgg_1_1WindowResizeEvent.html#a22c4851fcc7250cf258fb7d307645a4b">WindowResizeEvent</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html#a4313155f96716fe84b1bf5a1fd799811">   12</a></span>    <a class="code hl_function" href="classgg_1_1WindowResizeEvent.html#a4313155f96716fe84b1bf5a1fd799811">~WindowResizeEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html#a9efe9535c407317a826cd2c2a5e91ca7">   14</a></span>    [[nodiscard]] <span class="keyword">inline</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1WindowResizeEvent.html#a9efe9535c407317a826cd2c2a5e91ca7">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html#a3bf017914fb4c39cedc951761331f17b">   16</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1WindowResizeEvent.html#a3bf017914fb4c39cedc951761331f17b">GetWidth</a>() const -&gt; <span class="keywordtype">unsigned</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1WindowResizeEvent.html#ad442efa686639dddf22c7c3b28b5d647">   17</a></span>    [[nodiscard]] auto <a class="code hl_function" href="classgg_1_1WindowResizeEvent.html#ad442efa686639dddf22c7c3b28b5d647">GetHeight</a>() const -&gt; <span class="keywordtype">unsigned</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>  private:</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keywordtype">unsigned</span> mWidth, mHeight;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1WindowCloseEvent.html">   23</a></span>class <a class="code hl_class" href="classgg_1_1WindowCloseEvent.html">WindowCloseEvent</a> : public <a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="classgg_1_1WindowCloseEvent.html#a13cc4b3127a1f7c4ac3dcbc13aa58361">   26</a></span>    <a class="code hl_function" href="classgg_1_1WindowCloseEvent.html#a13cc4b3127a1f7c4ac3dcbc13aa58361">WindowCloseEvent</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1WindowCloseEvent.html#a1aa852c54f1b064b8e9a6597a3f74d0a">   27</a></span>    <a class="code hl_function" href="classgg_1_1WindowCloseEvent.html#a1aa852c54f1b064b8e9a6597a3f74d0a">~WindowCloseEvent</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">   29</a></span>    [[nodiscard]] <span class="keyword">inline</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">GetEventType</a>() const -&gt; <a class="code hl_enumeration" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>};</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>} <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1WindowCloseEvent_html"><div class="ttname"><a href="classgg_1_1WindowCloseEvent.html">gg::WindowCloseEvent</a></div><div class="ttdef"><b>Definition:</b> WindowEvent.hpp:24</div></div>
<div class="ttc" id="aclassgg_1_1WindowCloseEvent_html_a13cc4b3127a1f7c4ac3dcbc13aa58361"><div class="ttname"><a href="classgg_1_1WindowCloseEvent.html#a13cc4b3127a1f7c4ac3dcbc13aa58361">gg::WindowCloseEvent::WindowCloseEvent</a></div><div class="ttdeci">WindowCloseEvent()</div></div>
<div class="ttc" id="aclassgg_1_1WindowCloseEvent_html_a1aa852c54f1b064b8e9a6597a3f74d0a"><div class="ttname"><a href="classgg_1_1WindowCloseEvent.html#a1aa852c54f1b064b8e9a6597a3f74d0a">gg::WindowCloseEvent::~WindowCloseEvent</a></div><div class="ttdeci">~WindowCloseEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1WindowCloseEvent_html_a9b45e959e620747f787a7c306987834c"><div class="ttname"><a href="classgg_1_1WindowCloseEvent.html#a9b45e959e620747f787a7c306987834c">gg::WindowCloseEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html">gg::WindowResizeEvent</a></div><div class="ttdef"><b>Definition:</b> WindowEvent.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html_a22c4851fcc7250cf258fb7d307645a4b"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html#a22c4851fcc7250cf258fb7d307645a4b">gg::WindowResizeEvent::WindowResizeEvent</a></div><div class="ttdeci">WindowResizeEvent(unsigned int width, unsigned int height)</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html_a3bf017914fb4c39cedc951761331f17b"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html#a3bf017914fb4c39cedc951761331f17b">gg::WindowResizeEvent::GetWidth</a></div><div class="ttdeci">auto GetWidth() const -&gt; unsigned</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html_a4313155f96716fe84b1bf5a1fd799811"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html#a4313155f96716fe84b1bf5a1fd799811">gg::WindowResizeEvent::~WindowResizeEvent</a></div><div class="ttdeci">~WindowResizeEvent() override=default</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html_a9efe9535c407317a826cd2c2a5e91ca7"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html#a9efe9535c407317a826cd2c2a5e91ca7">gg::WindowResizeEvent::GetEventType</a></div><div class="ttdeci">auto GetEventType() const -&gt; EventType override</div></div>
<div class="ttc" id="aclassgg_1_1WindowResizeEvent_html_ad442efa686639dddf22c7c3b28b5d647"><div class="ttname"><a href="classgg_1_1WindowResizeEvent.html#ad442efa686639dddf22c7c3b28b5d647">gg::WindowResizeEvent::GetHeight</a></div><div class="ttdeci">auto GetHeight() const -&gt; unsigned</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_ada69b9f844678d00cd5c2b2c30a20122"><div class="ttname"><a href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">gg::EventType</a></div><div class="ttdeci">EventType</div><div class="ttdef"><b>Definition:</b> Event.hpp:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
